:root {
    --color-one: #d35e63;
    --color-two: #d8d8d8;
    --color-three: #433e5c;
    --color-winner: #d1a93b;
    --color-a: rgba(211,94,99,1);
    --color-b: rgba(33,21,89,1);
    --color-c: rgb(195, 195, 195);
    --color-d: rgb(234, 234, 234);
    --color-a-a: rgba(211, 94, 99, 0.8);
    --color-b-a: rgba(33, 21, 89, 0.8);
}

#offcanvas-button {
    /* position: absolute; */
    /* right: 45px; */
    /* top: 55px; */
    z-index: 999;
    /* float: right; */
    /* padding: 0; */
    height: initial;
    min-height: initial;
    color: var(--color-c);
}

.main-frame {
    /* background: URL(bg-spiral-01.svg); */
    padding: 30px;
    box-sizing: border-box;
    height: 100%;
    position: relative;
    width: 100%;
    min-height: 100vh;
    background-size: contain;
}

@import "../../../pages/taaboo/assets/stack.css";

div[game-modal] h2 {
    color: var(--color-two);
    text-align: center;
    margin-top: 5px;
}

.uk-button-game {
    background: var(--color-one);
    color: var(--color-two);
    border-radius: 8px;
    /* padding: 0 10px; */
}

.uk-button-game-second {
    background: var(--color-three);
    color: var(--color-two);
    border-radius: 8px;
    padding: 0 10px;
}

.uk-link-game {
    color: var(--color-one) !important;
}

.sand_clock {
    width: 50px;
    margin: 0 auto;
    position: relative;
    margin-top: -72px;
    display: block;
}

div[game-modal] > * {
    background: var(--color-three);
    max-width: calc(90% - .01px)!important;
    border-radius: 30px;
}

div[game-modal] > * > * {
    color: var(--color-two);
}

.cards {
    /* padding-top: 40px; */
    height: 85%;
    /* margin-top: 30px; */
}

body {
    color: var(--color-two);
}
html {
    /* height: 100%; */
    min-height: 100vh;
}
.progressbar {
    height: 4px;
    background: #52525e;
    border-radius: 5px;
    /* position: relative; */
    width: 100%;
}

.progressbar > *{
    height: 100%;
    background: linear-gradient(90deg, rgba(211,94,99,1) 0%, rgba(250,120,103,1) 100%);
    border-radius: 2px;
    width: 100%;
    transition: width 0.5s;
}
.card {
    border-radius: 25px;
    background-color: var(--color-b);
    width: 100%;
    /* min-height: 100%; */
    /* height: 90%; */
    position: relative;
    max-width: 400px;
    margin: auto;
    margin-top: 0;
    margin-bottom: 0;
}

.card .word {
    font-size: 4vh;
    color: #fff;
}
.card ul {
    list-style: none;
    padding: 0;
    margin: 0;
}
.card li {
    font-size: 3vh;
    color: #cccccc;
}
#toolbar {
    /* border-radius: 70px 70px 0px 0px; */
    /* background-color: #433e5c; */
    width: 100%;
    /* max-height: 90px; */
    /* margin-top: 80px; */
    position: absolute;
    bottom: 0;
    margin: auto;
    left: 0;
    right: 0;
    min-width: 300px;
}

#toolbar button {
    /* background: none; */
    /* border: none; */
    margin: 0;
    padding: 0;
    background: var(--color-b-a);
    border: none;
    color: var(--color-c);
}
#toolbar > * {
    padding: 20px;
    margin: auto;
}
.icon-text {
    color: #d8d8d8;
    font-size: 3vh;
}
.icon-separator {
    height: 5px;
}
.score-number {
    color: var(--color-one);
    font-size: 2vh;
    line-height: 1em;
    vertical-align: text-bottom;
}
.progressbar-wrapper {
    position: relative;
    /* height: 100%; */
    padding-top: 5px;
    padding-bottom: 5px;
}

#score .team-name {
    color: var(--color-two);
    padding-bottom: 2px;
    font-size: 2vh;
}

#current-team-name {
    color: var(--color-two);
    font-size: 4vh;
    /* padding-left: 15px; */
    font-weight: 700;
}

.card > * {
    margin: 30px;
    box-sizing: content-box;
}

.icon-icon {
    height: 7vh;
}

.stack li[style*="opacity: 1"]:not(.stack__item--current) {
    opacity: 0.5 !important;
}

#make-pass {
    /* border: 2px solid white !important; */
    /* border-color: var(--color-b) !important; */
    /* background: var(--color-b); */
}

.congrats {
    width: 132px;
    margin-top: -165px;
}

.uk-input, .uk-select, .uk-input:disabled, .uk-select:disabled {
    border-radius: 8px !important;
    background-color: var(--color-three);
    color: var(--color-two);
    border: none;
    /* border: 1px solid var(--color-two); */
    background: var(--color-b-a);
}

/* Range */
input[type=range] {
    -webkit-appearance: none;
    margin: 10px 0;
    width: 100%;
}
input[type=range]:focus {
    outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    animate: 0.2s;
    background: var(--color-b-a);
    border-radius: 25px;
    border: 0px solid #000101;
}
input[type=range]::-webkit-slider-thumb {
    border: 0px solid #000000;
    height: 18px;
    width: 18px;
    border-radius: 9px;
    background: var(--color-one);
    cursor: pointer;
    -webkit-appearance: none;
    margin-top: -5px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
    background: var(--color-b-a);
}
input[type=range]::-moz-range-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    animate: 0.2s;
    background: var(--color-b-a);
    border-radius: 25px;
    border: 0px solid #000101;
}
input[type=range]::-moz-range-thumb {
    border: 0px solid #000000;
    height: 18px;
    width: 18px;
    border-radius: 9px;
    background: var(--color-one);
    cursor: pointer;
}
input[type=range]::-ms-track {
    width: 100%;
    height: 8px;
    cursor: pointer;
    animate: 0.2s;
    background: transparent;
    border-color: transparent;
    border-width: 18px 0;
    color: transparent;
}
input[type=range]::-ms-fill-lower {
    background: var(--color-b-a);
    border: 0px solid #000101;
    border-radius: 50px;
}
input[type=range]::-ms-fill-upper {
    background: var(--color-b-a);
    border: 0px solid #000101;
    border-radius: 50px;
}
input[type=range]::-ms-thumb {
    border: 0px solid #000000;
    height: 18px;
    width: 18px;
    border-radius: 9px;
    background: var(--color-one);
    cursor: pointer;
}
input[type=range]:focus::-ms-fill-lower {
    background: var(--color-b-a);
}
input[type=range]:focus::-ms-fill-upper {
    background: var(--color-b-a);
}
/* Range */

.uk-offcanvas-bar.uk-offcanvas-bar-animation.uk-offcanvas-slide {
    background-color: var(--color-one);
    color: var(--color-three) !important;
}

.uk-offcanvas-bar.uk-offcanvas-bar-animation.uk-offcanvas-slide a {
    color: var(--color-d) !important;
}

li.uk-nav-header {
    color: var(--color-b) !important;
    font-weight: bold;
}

.game-winner {
    background: linear-gradient(90deg, rgba(209,169,59,1) 70%, rgb(155, 112, 33) 90%);
    border-radius: 8px 15px 15px 8px;
    padding: 13px 15px;
    margin-right: 40px;
    position: relative;
    color: var(--color-three);
}

#game-main .game-winner > span {

    position: absolute;

    height: 20px;
}

.icon-king {
    height: 50px;
    position: absolute;
    right: -40px;
    top: -7px;
}

[game-winner] .uk-button-game {
    background-color: var(--color-winner);
    color: var(--color-three);
}

[game-winner] {
    color: var(--color-winner);
}

.fill-winner svg > *,
.fill-winner > * {
    fill: var(--color-winner) !important;
}

body, .uk-form-label, h1, h2, h3, h4, h5, h6, .uk-h1, .uk-h2, .uk-h3, .uk-h4, .uk-h5, .uk-h6 {
    color: var(--color-two);
    text-decoration: none;
    font-family: 'Montserrat', 'sans-serif' !important;
    text-shadow: 0px 6px 8px rgba(0,0,0,0.1);
}
.uk-h1:hover, .uk-h2:hover, .uk-h3:hover, .uk-h4:hover, .uk-h5:hover, .uk-h6:hover,
.uk-h1:visited, .uk-h2:visited, .uk-h3:visited, .uk-h4:visited, .uk-h5:visited, .uk-h6:visited {
    color: var(--color-two);
    text-decoration: none;
}


.uk-button {
    border-radius: 8px;
}

.uk-button-primary {
    background-color: var(--color-one);
    color: var(--color-two);
}

.uk-card-default {background-color: rgba(67, 62, 92, 0.5);color: var(--color-two);border-radius: 10px;}

.uk-card-default .uk-card-title {
    color: var(--color-two);
}

.uk-link, a {
    color: var(--color-c);
    text-align: unset;
    text-decoration: underline;
}

a.uk-text-small {}

.uk-card-default .uk-input, .uk-card-default .uk-select {
    border: 1px solid var(--color-one);
}

img.uk-input {
    border: none !important;
    padding: 0;
}

.uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
    min-height: initial;
}

.uk-navbar a:first-child {
    padding-left: 0 !important;
}

.uk-navbar-container:not(.uk-navbar-transparent) {
    background-color: var(--color-b);
}

.uk-logo {
    width: 120px;
    height: auto;
    fill: var(--color-c);
}

.uk-navbar-nav>li.uk-active>a {
    color: var(--color-one);
}

.uk-navbar-nav>li>a {
    color: var(--color-two);
}

a#by-themt {
    position: relative;
    /* display: inline-block; */
    max-width: 300px;
    display: block;
    margin: auto;
}

#main-menu + .uk-sticky-placeholder {
    /* display: none; */
    /* margin-top: -60px !important; */
    /* position: absolute; */
    /* padding-top: 60px; */
    /* display: block; */
    height: 60px;
    min-height: 60px;
    position: relative;
}

#main-menu + .uk-sticky-placeholder:after {
    /* display: none !important; */
    display: contents;
    /* content: "→"; */
}

#go-to-up {
    display: inline-block;
    background-color: var(--color-a);
    width: 60px;
    height: 60px;
    text-align: center;
    border-radius: 30px;
    position: fixed;
    bottom: 30px;
    right: 30px;
    transition: background-color .3s,
    opacity .5s, visibility .5s;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
    text-decoration: none;
}
#go-to-up > * {
    /* font-weight: normal; */
    /* font-style: normal; */
    font-size: 2em;
    line-height: 60px;
    color: var(--color-c);
}
#go-to-up:hover {
    cursor: pointer;
    background-color: var(--color-b);
}
#go-to-up.show {
    opacity: 1;
    visibility: visible;
}

a.uk-text-light {
    color: var(--color-d);
}

span.uk-badge {
    background: var(--color-a);
    /* height: 90%; */
    /* width: 90%; */
    max-width: 100%;
    opacity: 0.6;
    padding: 16px;
}

.under-navbar-full {
    /* margin-top: -63px; */
}

.under-navbar {
    /* padding-top: 60px; */
    box-sizing: border-box;
    /* padding-bottom: 30px; */
}

.uk-modal-dialog {
    background-color: var(--color-a-a);
    border-radius: 15px;
}

.uk-modal-footer {
    background: initial;
    border-top: 1px solid var(--color-a-a);
}

.uk-navbar-dropdown {
    border-radius: 15px;
}

.uk-button-primary:focus, .uk-button-primary:hover {
    background-color: var(--color-b);
}

.uk-notification-message {
    background-color: var(--color-b-a);
    border-radius: 16px;
}

.uk-link-toggle:focus .uk-link, .uk-link-toggle:hover .uk-link, .uk-link:hover, a:hover {
    color: var(--color-d);
    text-decoration: underline;
}

html, .uk-navbar-item, .uk-navbar-nav>li>a, .uk-navbar-toggle {
    font-family: 'Montserrat', 'sans-serif' !important;
}

.uk-navbar-dropdown-nav>li.uk-active>a {
    color: var(--color-a);
    font-weight: bold;
}

body {
    background: URL(bg-spiral-01.svg), linear-gradient(0deg, var(--color-a) 0%, var(--color-b) 100%);
    background-blend-mode: overlay, normal;
    /* overflow-x: hidden; */
    overflow-y: visible;
}

#main-menu + .uk-sticky-placeholder + div:not([class]) {
    box-sizing: border-box;
    /* height: calc(100vh - 60px); */
    display: block;
    /* min-height: 100vh; */
    /* height: calc(100vh - 71px); */
    position: relative;
    /* overflow-y: auto; */
}

.mini-form {
    transform: translateY(calc(25vh - 25%));
}

body[page="taaboo.card"] {
    overflow-x: hidden;
}

#main-menu nav a {
    padding: 5px 10px;
    /* text-align: center; */
}

#main-menu nav .uk-button {
    padding: 0 10px !important;
}

#main-menu nav .uk-active > .uk-button {
    color: var(--color-c);
}

[class*=mt-section]:before {
    /* background: linear-gradient(180deg, rgba(255, 255, 255,0) 0%, rgba(255, 255, 255,0.15) 20%, rgba(255, 255, 255,0) 40%); */
    /* content: " "; */
    /* display: block; */
    /* height: 100vh; */
    /* position: absolute; */
}

.height-100vh-xbar {
    height: calc(100vh - 71px);
}

.uk-offcanvas-bar .uk-active a {
    /* text-decoration: underline; */
    background: var(--color-b-a);
    padding: 4px 15px;
    border-radius: 110px;
    /* font-weight: bold; */
    /* color: var(--color-b-a) !important; */
    margin-left: -15px;
    margin-top: 4px;
}

.uk-offcanvas-bar a.uk-button {
    /* text-decoration: underline; */
    background: var(--color-b-a);
    padding: 4px 15px;
    border-radius: 110px;
    /* font-weight: bold; */
    /* color: var(--color-b-a) !important; */
    margin-left: -15px;
    text-align: left;
    height: initial;
    line-height: initial;
    margin-top: 4px;
}

.uk-offcanvas-bar .uk-active a.uk-button {
    font-weight: bolder;
}

.uk-modal .uk-button-default {
    color: var(--color-d);
}

.area-about {
    overflow-x: hidden;
}

.made-by-section .section-signature img {
    height: 40px;
}

html[page="about"], body[page="about"] {
    min-height: 100%;
}

.made-by-section .uk-height-1-1 {
    min-height: calc(100vh - 61px);
    height: 100%;
    /* display: contents; */
    /* width: 100%; */
}